Package: org.codehaus.groovy.macro.matcher

## [Groovy] Class MatchingConstraints

- org.codehaus.groovy.macro.matcher.MatchingConstraints

-     @CompileStatic
      @Immutable(knownImmutableClasses: [ConstraintPredicate])
      class MatchingConstraints
      extends Object

  Represents constraints in AST pattern matching.

  Since:
    2.5.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ConstraintPredicate<Token>` | `ANY_TOKEN` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ConstraintPredicate<TreeContext>` | `eventually`
    `Set<String>` | `placeholders`
    `ConstraintPredicate<Token>` | `tokenPredicate`
    `Set<String>` | `varargPlaceholders`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MatchingConstraints()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final ConstraintPredicate<Token> ANY_TOKEN

  - ### Property Detail

    - #### final ConstraintPredicate<TreeContext> eventually

    - #### final Set<String> placeholders

    - #### final ConstraintPredicate<Token> tokenPredicate

    - #### final Set<String> varargPlaceholders

  - ### Constructor Detail

    - #### MatchingConstraints()